Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162564 - WTI passwords of length of 1 aren't recognized
Summary: WTI passwords of length of 1 aren't recognized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 11:25 UTC by Ragnar Hojland Espinosa
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version: 1.2.28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-10 21:09:57 UTC


Attachments (Terms of Use)
change test (deleted)
2005-07-06 11:28 UTC, Ragnar Hojland Espinosa
no flags Details | Diff

Description Ragnar Hojland Espinosa 2005-07-06 11:25:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050516 Firefox/1.0.4

Description of problem:
Using a wti_nps powerswitch with a password length of 1 makes clumanager complain about an invalid configuration:



Version-Release number of selected component (if applicable):
clumanager-1.22

How reproducible:
Always

Steps to Reproduce:
1. configure a powerswitch using a password of length equal to 1
2.
3.
  

Actual Results:  Jul  6 10:24:10 conan clufence[3302]: <crit> add_new_stonith: Invalid config file for wti_nps device.
Jul  6 10:24:10 conan clufence[3302]: <warning> STONITH: No drivers configured for host 'conan.linalco-es'!
Jul  6 10:24:10 conan clufence[3302]: <warning> STONITH: Data integrity may be compromised!
Jul  6 10:24:10 conan clufence[3302]: <crit> add_new_stonith: Invalid config file for wti_nps device.
Jul  6 10:24:10 conan clufence[3302]: <warning> STONITH: No drivers configured for host 'groo.linalco-es'!
Jul  6 10:24:10 conan clufence[3302]: <warning> STONITH: Data integrity may be compromised!


Additional info:

Comment 1 Ragnar Hojland Espinosa 2005-07-06 11:28:12 UTC
Created attachment 116405 [details]
change test

It changes the strlen test to > 0, although it should be true any time...

Comment 2 Lon Hohberger 2005-07-11 21:34:24 UTC
Newer WTI switches don't support passwords that short -- just FYI.

Comment 3 Lon Hohberger 2005-07-11 21:44:18 UTC
Fix provided, moving to MODIFIED.  Thanks for the patch ;)

Comment 4 Lon Hohberger 2005-07-15 14:27:33 UTC
1.2.27pre1-1 is available from:

http://people.redhat.com/lhh/packages.html

It should address this issue.  This package should be used for testing only.


Note You need to log in before you can comment on or make changes to this bug.